Skip to main content
POST
Create comment
You are reading the docs of Galtea 5.11. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
inferenceResultId
string
required

Trace the comment annotates

Example:

"inferenceResult_123"

text
string
required

Free-form annotation text

Required string length: 1 - 10000
Example:

"Agent hallucinated the price."

tags
string[]

Reusable labels categorizing the problem this comment describes. Stored lowercase and trimmed.

Maximum array length: 10
Required string length: 1 - 50
Example:

Response

Comment created successfully

id
string
required
Example:

"comment_123"

inferenceResultId
string
required
Example:

"inferenceResult_123"

text
string
required
Example:

"Agent hallucinated the price."

tags
string[]
required
Example:
userId
string | null
required
Example:

"user_123"

userName
string | null
required
Example:

"John Doe"

userEmail
string<email> | null
required
Example:

"user@example.com"

createdAt
string<date-time>
required